body {background-color:grey;}

a {color:black;
	text-decoration:none;}

h1 {text-align:center;
	font-size:50px;
	animation: hi 5s normal infinite;
	}
	
	@keyframes hi{
	0%{color:red;}
	12.5%{color:orange;}
	25%{color:yellow;}
	37.5%{color:00ff00;}
	50%{color:cyan;}
	62.5%{color:blue;}
	75%{color:purple;}
	87.5%{color:pink;}
	100%{color:red;}
	}

.div1 {background-color:black;
	 width:50%;
	 margin-left:25%;
	 border-width:20px;
	 border-color:00ff00;
	}

.div2 {margin-left:79%;
		margin-top:5%;
		background-color:cc00cc;
		width:20%;
		padding:5px;}
		
.div2:hover { 
	background-color:00ffff;}	
		
.div3:hover { 
	background-color:00ffff;}	
	
/*új*/
.dropbtn {
    background-color: #cc00cc;
    padding: 16px;
    font-size: 16px;
    border: none;
    cursor: pointer;
}

.div3 {
    position: relative;
    display: inline-block;
}

.div3-content {
    display: none;
    position: center;
    background-color: #f9f9f9;
    z-index: 1;
}

.div3-content a {
    color: black;
    padding: 12px 16px;
    display: block;
}

.div3-content a:hover {background-color: #f1f1f1}

.div3:hover .div3-content {
    display: block;
}

.div3:hover .dropbtn {
    background-color: #00ffff;
}

	
		
.div3 {margin-left:79%;
		margin-top:2%;
		background-color:cc00cc;
		width:20%;
		padding:5px;
		text-align:center;
		}
		
/*új vége*/
	
		
.h1 {text-align:center;}


.div4 {margin-left:79%;
		margin-top:2%;
		background-color:cc00cc;
		width:20%;
		padding:5px;}
		
.div4:hover { 
	background-color:00ffff;}
		
.div5 {margin-left:79%;
		margin-top:2%;
		background-color:cc00cc;
		width:20%;
		padding:5px;}
		
.div5:hover { 
	background-color:00ffff;}
	/*főoldal vége*/

.h2 {text-align=left;}

.div6 {margin-top:5%;
		margin-left:3%;
		background-color:00ffff;
		width:50%;
		padding:2%;
		float:left;
		position:absolute;}
		

.div7 {margin-top:1%;
		margin-right:80%;
		background-color:33ff33;
		width:3%;
		padding:0.5%;
		text-align:center;
		float:left;
		position: fixed;
		left: 0;
		bottom: 0;}

.div7:hover {
	background-color:ffff00;
	}
	
.div8 {position:absolute;
		float:left;
		margin-left:3%;
		margin-top:10%;}
	
	
i {color:red;}